Package net.md_5.bungee.protocol

# Class LegacyDecoder

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.handler.codec.ByteToMessageDecoder
net.md_5.bungee.protocol.LegacyDecoder

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

public class LegacyDecoder extends io.netty.handler.codec.ByteToMessageDecoder

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class io.netty.handler.codec.ByteToMessageDecoder

  `io.netty.handler.codec.ByteToMessageDecoder.Cumulator`

  ## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

  `io.netty.channel.ChannelHandler.Sharable`

- ## Field Summary

  ### Fields inherited from class io.netty.handler.codec.ByteToMessageDecoder

  `COMPOSITE_CUMULATOR, MERGE_CUMULATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LegacyDecoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out)`

  ### Methods inherited from class io.netty.handler.codec.ByteToMessageDecoder

  `actualReadableBytes, callDecode, channelInactive, channelRead, channelReadComplete, decodeLast, discardSomeReadBytes, handlerRemoved, handlerRemoved0, internalBuffer, isSingleDecode, setCumulator, setDiscardAfterReads, setSingleDecode, userEventTriggered`

  ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

  `channelActive, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught`

  ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, handlerAdded, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.netty.channel.ChannelHandler

  `handlerAdded`

- ## Constructor Details

  - ### LegacyDecoder

    public LegacyDecoder()

- ## Method Details

  - ### decode

    protected void decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out) throws Exception
    Specified by:
      `decode` in class `io.netty.handler.codec.ByteToMessageDecoder`
    Throws:
      `Exception`